with open("blacklist_ustc.txt", "r") as f:
    ips = f.read()
    f.close()
ipv4 = []
ipv6 = []
ipv4_net = []
ipv6_net = []
for ip in ips.split("\n"):
    if ip.find("/") != -1:
        if ip.find(":") != -1:
            ipv6_net.append(ip)
        else:
            ipv4_net.append(ip)
    else:
        if ip.find(":") != -1:
            ipv6.append(ip)
        else:
            ipv4.append(ip)
print(f"IPv4 Count: {len(ipv4)}")
print(f"IPv6 Count: {len(ipv6)}")
print(f"IPv4 Net Count: {len(ipv4_net)}")
print(f"IPv6 Net Count: {len(ipv6_net)}")
with open("ipv4_list.txt", "w") as fp:
    fp.write("\n".join(ipv4))
    fp.close
with open("ipv4_net_list.txt", "w") as fp:
    fp.write("\n".join(ipv4_net))
    fp.close
with open("ipv6_list.txt", "w") as fp:
    fp.write("\n".join(ipv6))
    fp.close
with open("ipv6_net_list.txt", "w") as fp:
    fp.write("\n".join(ipv6_net))
    fp.close